# $Revision: 1.36 $, $Date: 2012/05/17 20:22:39 $
Summary:	Trigger launcher - a launcher with two states
Summary(pl.UTF-8):	Trigger launcher - dwustanowy przełącznik
Name:		xfce4-trigger-launcher
Version:	4.2.4.1
Release:	5
License:	BSD
Group:		X11/Applications
#Source0:	http://hannelore.f1.fhtw-berlin.de/mirrors/xfce4/xfce-%{version}/src/%{name}-%{version}.tar.bz2
Source0:	%{name}-%{version}.tar.bz2
# Source0-md5:	8d35a75cb7bbaec78a9a2f171dfa5571
Patch0:		%{name}-locale-names.patch
Patch1:		%{name}-ui.patch
URL:		http://www.xfce.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	libxfce4ui-devel
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	xfce4-dev-tools >= 4.4.0
BuildRequires:	xfce4-panel-devel >= 4.4.0
Requires:	xfce4-panel >= 4.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Trigger launcher - a launcher with two states.

%description -l pl.UTF-8
Trigger launcher - dwustanowy przełącznik.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

mv -f po/{pt_PT,pt}.po

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xfce4/panel-plugins/xfce4-trigger-launcher-plugin
%{_datadir}/xfce4/panel-plugins/xfce4-trigger-launcher.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfce4-trigger-launcher.spec,v $
Revision 1.36  2012/05/17 20:22:39  baggins
- release 5

Revision 1.35  2011/03/02 00:05:54  baggins
- rel 4
- port to libxfce4ui

Revision 1.34  2011/02/17 13:21:28  megabajt
- release 3

Revision 1.33  2008/02/04 17:23:38  qboosh
- BR: intltool

Revision 1.32  2008-02-02 08:11:01  hawk
- fixed build by adding %{__intltoolize}
- release 2

Revision 1.31  2007-02-12 22:09:22  glen
- tabs in preamble

Revision 1.30  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.29  2007/01/28 12:44:33  megabajt
- use dropin

Revision 1.28  2007/01/28 12:34:48  megabajt
- updated to 4.2.4.1

Revision 1.27  2006/07/05 10:49:56  havner
- 4.2.3

Revision 1.26  2006/04/20 09:32:14  ankry
- tab

Revision 1.25  2005/05/20 17:12:16  koorek
- up to 4.2.2
- BR xfce4-dev-tools added

Revision 1.24  2005/03/16 03:26:13  koorek
- updated to 4.2.1

Revision 1.23  2005/01/17 22:06:33  troll
- updated to 4.2.0 final

Revision 1.22  2004/12/28 17:02:18  troll
- updated to 4.1.99.3 (4.2 RC3)

Revision 1.21  2004/12/14 01:59:32  troll
- updated to 4.1.99.2 (4.2 RC2)

Revision 1.20  2004/11/27 19:21:10  saq
- massive attack: more BR epoch fixes

Revision 1.19  2004/11/27 14:04:31  havner
- merged from DEVEL

Revision 1.18.2.7  2004/11/16 16:07:10  dzeus
- updated to 4.1.99.1 (4.2 RC1)

Revision 1.18.2.6  2004/11/13 20:02:06  troll
- updated to 4.1.91 (4.2 beta 2)

Revision 1.18.2.5  2004/10/08 04:44:59  troll
- updated to 4.1.90 (4.2 beta 1)

Revision 1.18.2.4  2004/08/16 18:58:17  havner
- [mass commit] 20040816
- not tested yet

Revision 1.18.2.3  2004/08/14 23:21:51  havner
- proper version
- proper BR
- 20040813

Revision 1.18.2.2  2004/08/07 00:41:20  havner
- md5

Revision 1.18.2.1  2004/08/07 00:36:24  havner
- 20040806

Revision 1.18  2004/07/19 13:38:13  qboosh
- tested, doesn't require startup-notification

Revision 1.17  2004/07/12 16:52:06  troll
- updated to 4.0.6
- fixed BR and R

Revision 1.16  2004/07/08 14:44:43  qboosh
- added locale-names patch, fix fa,nb,pt names; release 2

Revision 1.15  2004/04/18 07:37:48  ankry
- fixed src URL

Revision 1.14  2004/04/18 06:24:19  ankry
- switched to a working mirror

Revision 1.13  2004/04/16 22:16:23  troll
- updated to XFce-4.0.5
- more strict internal dependencies
- new Source0 (the old one doesn't exist anymore)

Revision 1.12  2004/03/10 20:57:36  troll
- updated to 4.0.4

Revision 1.11  2004/01/12 22:28:56  undefine
- ukhm.. typo... :>

Revision 1.10  2004/01/12 22:24:09  undefine
- copy config.sub to allow build on amd64

Revision 1.9  2004/01/08 23:24:59  troll
- updated to 4.0.3

Revision 1.8  2003/12/28 23:28:16  troll
- updated to 4.0.2

Revision 1.7  2003/11/14 14:38:47  troll
- updated to 4.0.1
- unified BR versions

Revision 1.6  2003/09/27 09:20:49  troll
- updated md5 sum
- typos

Revision 1.5  2003/09/27 09:13:39  troll
- updated to 4.0.0

Revision 1.4  2003/08/28 12:03:54  troll
- fixed *Requires' versions

Revision 1.3  2003/08/27 09:35:50  pascalek
- updated to 3.99.3

Revision 1.2  2003/08/01 15:08:33  qboosh
- fixed License and deps, longer descriptions, more docs

Revision 1.1  2003/07/25 08:49:06  pascalek
- initial release
